package com.noxa.njust.lw.xsmd.service.impl;

package ..deTemp.1749553781763;

import com.google.common.base.Strings;
import com.google.inject.Inject;
import com.google.inject.Singleton;
import com.noxa.base.file.excel.imports.ExcelCell;
import com.noxa.base.file.excel.imports.ExcelImport;
import com.noxa.base.file.excel.imports.ExcellRow;
import com.noxa.base.webSocketServlet.Chat;
import com.noxa.cjgl.cjlr.service.chengJiService;
import com.noxa.cjgl.cjlr.xscj.service.xsChengJiService;
import com.noxa.frame.Noxa;
import com.noxa.mybatis.Page;
import com.noxa.mybatis.base.BaseMapper;
import com.noxa.mybatis.base.BaseServiceImpl;
import com.noxa.njust.base.teacher.model.BaseTeacher;
import com.noxa.njust.base.teacher.service.BaseTeacherService;
import com.noxa.njust.jichushujv.jsgl.model.Teacher;
import com.noxa.njust.jxzdgl.zdgl.service.ZhanDianService;
import com.noxa.njust.lw.xsmd.mapper.LwXsmdMapper;
import com.noxa.njust.lw.xsmd.model.LwXsmd;
import com.noxa.njust.lw.xsmd.service.LwXsmdService;
import com.noxa.njust.student.web.ZipCompressor;
import com.noxa.sys.role.model.Role;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.nio.charset.Charset;
import java.nio.file.Files;
import java.nio.file.Paths;
import java.text.DecimalFormat;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import java.util.zip.ZipEntry;
import java.util.zip.ZipFile;
import java.util.zip.ZipInputStream;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.Part;
import net.sf.json.JSONArray;
import net.sf.json.JSONObject;
import org.apache.logging.log4j.LogManager;

@Singleton
public class LwXsmdServiceImpl extends BaseServiceImpl implements LwXsmdService {
  @Inject
  private BaseTeacherService teacherService;
  
  @Inject
  private ZhanDianService zhanDianService;
  
  @Inject
  private xsChengJiService xscjService;
  
  @Inject
  private chengJiService cjService;
  
  public String getFunName() {
    return "毕业论文设计学生名单";
  }
  
  public String getTableName() {
    return "LW_XSMD";
  }
  
  public Class<? extends BaseMapper> getThisMapper() {
    return (Class)LwXsmdMapper.class;
  }
  
  public List<LwXsmdService.zipResult> readZipFile(String file, String name, String dbnf, String dbjj) throws Exception {
    ZipFile zipFile = new ZipFile(file, Charset.forName("gbk"));
    ZipInputStream zin = new ZipInputStream(new FileInputStream(file), Charset.forName("gbk"));
    List<LwXsmdService.zipResult> list = new ArrayList<>();
    StringBuffer nameStr = new StringBuffer(String.valueOf(name) + ",");
    ZipEntry entry;
    while ((entry = zin.getNextEntry()) != null) {
      if (entry.isDirectory())
        continue; 
      if (entry.getName().indexOf(".zip") != -1)
        list.add(readChildZipFile(zipFile, entry)); 
      nameStr.append(String.valueOf(entry.getName()) + ",");
    } 
    String zipChildNames = nameStr.substring(nameStr.indexOf(",") + 1, nameStr.length());
    boolean flag = false;
    if (zipChildNames.indexOf("开题报告") != -1 || zipChildNames.indexOf("审题表") != -1 || 
      zipChildNames.indexOf("学生论文") != -1 || zipChildNames.indexOf("教师评语") != -1) {
      list.clear();
      list.add(zipHandleResult(nameStr, null));
      flag = true;
    } 
    boolean realFlag = flag;
    String dir = "D://学生论文";
    File dirs = new File(dir);
    if (!dirs.exists())
      dirs.mkdirs(); 
    LwXsmd model = new LwXsmd();
    model.setZt("2");
    model.setDbjj(dbjj);
    model.setDbnf(dbnf);
    List<LwXsmd> xsmdList = selectAllByColumn(model);
    Result result = new Result(this);
    int count = list.size();
    list = (List<LwXsmdService.zipResult>)list.stream().map(s -> {
          System.out.println(s.getRealFileName().length());
          System.out.println(s.getRealFileName().substring(s.getRealFileName().indexOf("/") + 1, s.getRealFileName().indexOf("/") + 19));
          try {
            LwXsmd lwXsmd = paramList.stream().filter(()).findFirst().orElse(null);
            if (lwXsmd == null) {
              s.setDescribe("该学生不存在");
              s.setStatus("1");
            } else if (s.getStatus().equals("0")) {
              (new File(String.valueOf(paramString1) + "//" + s.getFileName())).delete();
              if (paramBoolean) {
                Files.copy(new FileInputStream(paramString2), Paths.get(String.valueOf(paramString1) + "//" + s.getFileName(), new String[0]), new java.nio.file.CopyOption[0]);
              } else {
                String bj = lwXsmd.getBj();
                String bjdir = "D://学生论文//" + bj;
                File bjdirs = new File(bjdir);
                if (!bjdirs.exists())
                  bjdirs.mkdirs(); 
                Files.copy(paramZipFile.getInputStream(s.getEntry()), Paths.get(String.valueOf(paramString1) + "//" + s.getFileName(), new String[0]), new java.nio.file.CopyOption[0]);
              } 
              lwXsmd.setLwdz(String.valueOf(paramString1) + "//" + s.getFileName());
              updateByColumn(lwXsmd);
            } 
            paramResult.result++;
            String message = String.format("[%d,%d,%d]", new Object[] { Integer.valueOf(paramInt), Integer.valueOf(paramResult.result), Integer.valueOf(paramInt - paramResult.result) });
            getChat(message);
          } catch (Exception e) {
            e.printStackTrace();
          } 
          return s;
        }).collect(Collectors.toList());
    zin.close();
    zipFile.close();
    return list;
  }
  
  public List<LwXsmdService.zipResult> readZwZipFile(String file, String name, String dbnf, String dbjj, String type) throws Exception {
    ZipFile zipFile = new ZipFile(file, Charset.forName("gbk"));
    ZipInputStream zin = new ZipInputStream(new FileInputStream(file), Charset.forName("gbk"));
    List<LwXsmdService.zipResult> list = new ArrayList<>();
    StringBuffer nameStr = new StringBuffer(String.valueOf(name) + ",");
    ZipEntry entry;
    while ((entry = zin.getNextEntry()) != null) {
      System.out.println(entry.getName());
      if (entry.isDirectory())
        continue; 
      if (entry.getName().indexOf(".doc") != -1 || entry.getName().indexOf(".docx") != -1) {
        LwXsmdService.zipResult zipZwResults = new LwXsmdService.zipResult();
        zipZwResults.setStatus("0");
        zipZwResults.setFileName(entry.getName().substring(entry.getName().indexOf("/") + 1));
        zipZwResults.setRealFileName(entry.getName().substring(entry.getName().indexOf("/") + 1, entry.getName().indexOf(".")));
        zipZwResults.setEntry(entry);
        zipZwResults.setDescribe("通过");
        list.add(zipZwResults);
      } 
    } 
    boolean realFlag = false;
    String dir = "D://学生论文正文";
    File dirs = new File(dir);
    if (!dirs.exists())
      dirs.mkdirs(); 
    LwXsmd model = new LwXsmd();
    model.setZt("2");
    model.setDbjj(dbjj);
    model.setDbnf(dbnf);
    List<LwXsmd> xsmdList = selectAllByColumn(model);
    Result result = new Result(this);
    int count = list.size();
    list = (List<LwXsmdService.zipResult>)list.stream().map(s -> {
          System.out.println(s.getRealFileName().length());
          try {
            LwXsmd lwXsmd = paramList.stream().filter(()).findFirst().orElse(null);
            if (lwXsmd == null) {
              s.setDescribe("该学生不存在");
              s.setStatus("1");
            } else if (s.getStatus().equals("0")) {
              (new File(String.valueOf(paramString1) + "//" + s.getFileName())).delete();
              if (paramBoolean) {
                Files.copy(new FileInputStream(paramString2), Paths.get(String.valueOf(paramString1) + "//" + s.getFileName(), new String[0]), new java.nio.file.CopyOption[0]);
              } else {
                Files.copy(paramZipFile.getInputStream(s.getEntry()), Paths.get(String.valueOf(paramString1) + "//" + s.getFileName(), new String[0]), new java.nio.file.CopyOption[0]);
              } 
              lwXsmd.setLwzwdz(String.valueOf(paramString1) + "//" + s.getFileName());
              s.setZwdz(String.valueOf(paramString1) + "//" + s.getFileName());
              if (paramString3.equals("1")) {
                lwXsmd.setDqcczt("0");
                lwXsmd.setSfkdb("");
                lwXsmd.setSfhqxw("");
                lwXsmd.setCcyyl("");
                lwXsmd.setCcbgdz("");
              } 
              updateByColumn(lwXsmd);
            } 
            paramResult.result++;
            String message = String.format("[%d,%d,%d]", new Object[] { Integer.valueOf(paramInt), Integer.valueOf(paramResult.result), Integer.valueOf(paramInt - paramResult.result) });
            getChat(message);
          } catch (Exception e) {
            e.printStackTrace();
          } 
          return s;
        }).collect(Collectors.toList());
    zin.close();
    zipFile.close();
    return list;
  }
  
  public List<LwXsmdService.zipResult> readFqxwZipFile(String file, String name, String dbnf, String dbjj) throws Exception {
    ZipFile zipFile = new ZipFile(file, Charset.forName("gbk"));
    ZipInputStream zin = new ZipInputStream(new FileInputStream(file), Charset.forName("gbk"));
    List<LwXsmdService.zipResult> list = new ArrayList<>();
    ZipEntry entry;
    while ((entry = zin.getNextEntry()) != null) {
      if (entry.isDirectory())
        continue; 
      if (entry.getName().indexOf(".jpg") != -1 || entry.getName().indexOf(".png") != -1 || entry.getName().indexOf(".JPG") != -1 || entry.getName().indexOf(".PNG") != -1) {
        LwXsmdService.zipResult zipZwResults = new LwXsmdService.zipResult();
        zipZwResults.setStatus("0");
        zipZwResults.setFileName(entry.getName().substring(entry.getName().indexOf("/") + 1));
        zipZwResults.setRealFileName(entry.getName().substring(entry.getName().indexOf("/") + 1, entry.getName().indexOf(".")));
        zipZwResults.setEntry(entry);
        zipZwResults.setDescribe("通过");
        list.add(zipZwResults);
      } 
    } 
    boolean realFlag = false;
    String dir = "D://学生放弃学位";
    File dirs = new File(dir);
    if (!dirs.exists())
      dirs.mkdirs(); 
    LwXsmd model = new LwXsmd();
    model.setZt("2");
    model.setDbjj(dbjj);
    model.setDbnf(dbnf);
    Result result = new Result(this);
    int count = list.size();
    list = (List<LwXsmdService.zipResult>)list.stream().map(s -> {
          try {
            paramLwXsmd.setXh(s.getRealFileName());
            LwXsmd lwXsmd = (LwXsmd)selectOneByColumn(paramLwXsmd);
            if (lwXsmd == null) {
              s.setDescribe("该学生不存在");
              s.setStatus("1");
            } else if (s.getStatus().equals("0")) {
              (new File(String.valueOf(paramString1) + "//" + s.getFileName())).delete();
              if (paramBoolean) {
                Files.copy(new FileInputStream(paramString2), Paths.get(String.valueOf(paramString1) + "//" + s.getFileName(), new String[0]), new java.nio.file.CopyOption[0]);
              } else {
                Files.copy(paramZipFile.getInputStream(s.getEntry()), Paths.get(String.valueOf(paramString1) + "//" + s.getFileName(), new String[0]), new java.nio.file.CopyOption[0]);
              } 
              lwXsmd.setFqxw("/" + s.getFileName());
              s.setZwdz(String.valueOf(paramString1) + "//" + s.getFileName());
              updateByColumn(lwXsmd);
            } 
            paramResult.result++;
            String message = String.format("[%d,%d,%d]", new Object[] { Integer.valueOf(paramInt), Integer.valueOf(paramResult.result), Integer.valueOf(paramInt - paramResult.result) });
            getChat(message);
          } catch (Exception e) {
            e.printStackTrace();
          } 
          return s;
        }).collect(Collectors.toList());
    zin.close();
    zipFile.close();
    return list;
  }
  
  public void getChat(String message) {
    Chat chat = null;
    String chatId = (String)Noxa.instance.getNoxaDispatcher().getRequest().getSession(false)
      .getAttribute("chatId");
    if (!Strings.isNullOrEmpty(message)) {
      if (!Strings.isNullOrEmpty(chatId))
        try {
          chat = (chat == null) ? Chat.getChatByName(chatId) : chat;
          chat.sendMessage(message);
        } catch (Exception e) {
          System.err.println(String.valueOf(message) + "发送失败");
        }  
    } else {
      try {
        chat.onClose();
      } catch (Exception e) {
        LogManager.getLogger().info("chat close false");
      } 
    } 
  }
  
  public LwXsmdService.zipResult readChildZipFile(ZipFile zipFile, ZipEntry entry) throws Exception {
    StringBuffer nameStr = new StringBuffer(String.valueOf(entry.getName()) + ",");
    System.out.println(zipFile.getInputStream(entry));
    ZipInputStream zin = new ZipInputStream(zipFile.getInputStream(entry), Charset.forName("gbk"));
    ZipEntry z;
    while ((z = zin.getNextEntry()) != null) {
      if (z.isDirectory())
        continue; 
      nameStr.append(String.valueOf(z.getName()) + ",");
    } 
    zin.close();
    return zipHandleResult(nameStr, entry);
  }
  
  public LwXsmdService.zipResult zipHandleResult(StringBuffer nameStr, ZipEntry entry) {
    String zipName = nameStr.substring(0, nameStr.indexOf(","));
    System.out.println(nameStr.indexOf(",") + 1);
    System.out.println(nameStr.length());
    String zipChildNames = "";
    if (nameStr.indexOf(",") + 1 == nameStr.length()) {
      zipChildNames = nameStr.substring(nameStr.indexOf(","));
    } else {
      zipChildNames = nameStr.substring(nameStr.indexOf(",") + 1, nameStr.length() - 1);
    } 
    StringBuffer describeStr = new StringBuffer("缺失:");
    if (zipChildNames.indexOf("论文正文") == -1)
      describeStr.append("论文正文,"); 
    if (zipChildNames.indexOf("评语") == -1)
      describeStr.append("评语,"); 
    if (zipChildNames.indexOf("前期材料") == -1)
      describeStr.append("前期材料"); 
    String describe = String.valueOf(describeStr.substring(0, describeStr.length() - 1)) + "文件";
    LwXsmdService.zipResult zipResults = new LwXsmdService.zipResult();
    zipResults.setFileName(zipName);
    zipResults.setRealFileName(zipName.substring(0, zipName.indexOf(".")));
    zipResults.setEntry(entry);
    zipResults.setDescribe(describe);
    if (describe.length() == 4) {
      zipResults.setStatus("0");
      zipResults.setDescribe("通过");
    } else {
      zipResults.setStatus("1");
    } 
    return zipResults;
  }
  
  public ExcelImport zdjsUpLoad(Part part) {
    DecimalFormat format = new DecimalFormat("0");
    List<BaseTeacher> list = this.teacherService.selectAllByColumn(null);
    ExcelImport excelImport = (new ExcelImport("lw_xsmd", 5))
      .addMapped("站点", new ExcelCell("zd", false, true, false))
      .addMapped("专业", new ExcelCell("zy", true, true, false))
      .addMapped("班级", new ExcelCell("bj", true, true, false))
      .addMapped("学号", new ExcelCell("xh", true, true, false))
      .addMapped("学生姓名", new ExcelCell("xm", true, true, false))
      .addMapped("课题名称", new ExcelCell("ktmc", false, true, false))
      .addMapped("教师姓名", new ExcelCell("zdjsxm", false, true, false))
      .addMapped("身份证号", (ExcelCell)new Object(this, "zdjssfzh", false, true, false))






























      
      .formatExcel(part);
    excelImport.run();
    return excelImport;
  }
  
  public ExcelImport sfccUpLoad(Part part) {
    ExcelImport excelImport = (new ExcelImport("lw_xsmd", 5))
      .addMapped("答辩年份", new ExcelCell("dbnf", true, false, false))
      .addMapped("站点", new ExcelCell("zd", true, false, false))
      .addMapped("专业", new ExcelCell("zy", true, false, false))
      .addMapped("班级", new ExcelCell("bj", true, false, false))
      .addMapped("学号", new ExcelCell("xh", true, false, false))
      .addMapped("学生姓名", new ExcelCell("xm", true, false, false))
      .addMapped("课题名称", new ExcelCell("ktmc", false, false, false))
      .addMapped("答辩学期", (ExcelCell)new Object(this, "dbjj", true, false, false))










      
      .addMapped("查重(是/否)", (ExcelCell)new Object(this, "sfcc", false, true, false))







      
      .formatExcel(part);
    excelImport.run();
    return excelImport;
  }
  
  public ExcelImport cctgUpLoad(Part part) {
    String sql = "UPDATE `lw_xsmd` SET cctg = '不通过' WHERE sfcc = '是' AND IsDel = 0 and (cctg is null or cctg = '');";
    executeSql(sql);
    ExcelImport excelImport = (new ExcelImport("lw_xsmd", 5))
      .addMapped("答辩年份", new ExcelCell("dbnf", true, false, false))
      .addMapped("站点", new ExcelCell("zd", true, false, false))
      .addMapped("专业", new ExcelCell("zy", true, false, false))
      .addMapped("班级", new ExcelCell("bj", true, false, false))
      .addMapped("学号", new ExcelCell("xh", true, false, false))
      .addMapped("学生姓名", new ExcelCell("xm", true, false, false))
      .addMapped("课题名称", new ExcelCell("ktmc", false, false, false))
      .addMapped("答辩学期", (ExcelCell)new Object(this, "dbjj", true, false, false));
    excelImport.addAfterFormat("答辩学期", (ExcelCell)new Object(this, "dbjj", false, false))







      
      .formatExcel(part);
    excelImport.run();
    return excelImport;
  }
  
  public ExcelImport lwsjUpLoad(Part part) {
    ExcelImport excelImport = (new ExcelImport("lw_xsmd", 5))
      .addMapped("序号", new ExcelCell("", false, false, false))
      .addMapped("年份", new ExcelCell("dbnf", true, true, false))
      .addMapped("季节", new ExcelCell("dbjj", false, false, false))
      .addMapped("站点", new ExcelCell("zd", false, false, false))
      .addMapped("专业", new ExcelCell("zy", false, false, false))
      .addMapped("班级", new ExcelCell("bj", true, true, false))
      .addMapped("姓名", new ExcelCell("xm", false, false, false))
      .addMapped("学号", new ExcelCell("xh", true, true, false))
      .addMapped("论文题目", new ExcelCell("ktmc", false, true, false))
      .addMapped("指导教师", new ExcelCell("zdjsxm", false, true, false))
      .addMapped("总相似比", new ExcelCell("ccyyl", false, true, false))
      .addMapped("字符数", new ExcelCell("zifushu", false, true, false))
      .addMapped("初评成绩", new ExcelCell("cpcj", false, true, false))
      .addMapped("答辩组成绩", (ExcelCell)new Object(this, "cj", false, true, true))









































































      
      .formatExcel(part);
    excelImport.run();
    return excelImport;
  }
  
  public Page<LwXsmd> selectDBPageByColumn(Page<LwXsmd> page, LwXsmd t) {
    Role role = new Role();
    role = getLoginTeacherRole();
    Teacher teacher = getLoginTeacher();
    page = (page != null) ? page : new Page();
    if (t != null) {
      t.setLoginType(role.getLoginType());
      if (!t.getLoginType().equals("999") && 
        t.getLoginType().equals("1"))
        t.setIsSchool(teacher.getZdName()); 
    } 
    int count = ((LwXsmdMapper)getMapper(LwXsmdMapper.class)).selectCountByColumn(t);
    if (count > 0) {
      page.setTotal(count);
      page.setRows(((LwXsmdMapper)getMapper(LwXsmdMapper.class)).selectDBPageByColumn(page, t));
      return page;
    } 
    page.setRows(new ArrayList());
    return page;
  }
  
  public List<Map<String, Object>> Lwdbyj(LwXsmd t) {
    return ((LwXsmdMapper)getMapper(LwXsmdMapper.class)).Lwdbyj(t);
  }
  
  public ExcelImport dbjsUpLoad(Part part) {
    DecimalFormat format = new DecimalFormat("0");
    boolean flag = "1".equals(getLoginTeacherRole().getLoginType());
    List<BaseTeacher> list = this.teacherService.selectAllByColumn(null);
    StringBuffer selectSql = new StringBuffer();
    selectSql.append(" select * from (");
    selectSql.append(" select if(TO_DAYS(now()) <= TO_DAYS(dbgzjssj),'yes','no') jg,");
    selectSql.append(" bh,nf,dbnf,dbjj,zd,nj,bj,count(*) xsrs, dbxzh");
    selectSql.append(" from lw_xsmd where isDel=0 and zt=2");
    selectSql.append(" group by nf,dbgzkssj,dbgzjssj,dbsj,dbnf,dbjj,zdid,zyid,bjid,nj,yjsid,");
    selectSql.append(" yjsid2,yjsid3,zjsid,zjsid2,zjsid3,dbxzh,yjzt) r");
    selectSql.append(" where 1=1 %s");
    ExcelImport excelImport = (new Object(this, "lw_xsmd", 5, selectSql))
















      
      .addMapped("编号", new ExcelCell("bh", true, false, false))
      .addMapped("年份", new ExcelCell("nf", true, false, false))
      .addMapped("答辩年份", new ExcelCell("dbnf", true, false, false))
      .addMapped("答辩学期", (ExcelCell)new Object(this, "dbjj", true, false, false))










      
      .addMapped("站点", new ExcelCell("zd", true, false, false))
      .addMapped("年级", new ExcelCell("nj", true, false, false))
      .addMapped("班级", new ExcelCell("bj", true, false, false))
      .addMapped("学生人数", new ExcelCell("xsrs", false, false, false))
      .addMapped("答辩组号", new ExcelCell("dbxzh", true, false, true, true));
    if ("1".equals(getLoginTeacherRole().getLoginType())) {
      excelImport.addMapped("站点答辩教师1", new ExcelCell("zjsxm", false, true, true))
        .addMapped("站点答辩教师1身份证号", (ExcelCell)new Object(this, "zjssfzh", false, true, true, list))






















        
        .addMapped("站点答辩教师1电话", new ExcelCell("zjslxfs", false, true, true))
        .addMapped("站点答辩教师2", new ExcelCell("zjsxm2", false, true, true))
        .addMapped("站点答辩教师2身份证号", (ExcelCell)new Object(this, "zjssfzh2", false, true, true, list))






















        
        .addMapped("站点答辩教师2电话", new ExcelCell("zjslxfs2", false, true, true))
        .addMapped("站点答辩教师3", new ExcelCell("zjsxm3", false, true, true))
        .addMapped("站点答辩教师3身份证号", (ExcelCell)new Object(this, "zjssfzh3", false, true, true, list))






















        
        .addMapped("站点答辩教师3电话", new ExcelCell("zjslxfs3", false, true, true));
    } else {
      excelImport.addMapped("院答辩教师1", new ExcelCell("yjsxm", false, true, true))
        .addMapped("院答辩教师1身份证号", (ExcelCell)new Object(this, "yjssfzh", false, true, true, list))




















        
        .addMapped("院答辩教师1电话", new ExcelCell("yjslxfs", false, true, true))
        .addMapped("院答辩教师2", new ExcelCell("yjsxm2", false, true, true))
        .addMapped("院答辩教师2身份证号", (ExcelCell)new Object(this, "yjssfzh2", false, true, true, list))




















        
        .addMapped("院答辩教师2电话", new ExcelCell("yjslxfs2", false, true, true))
        .addMapped("院答辩教师3", new ExcelCell("yjsxm3", false, true, true))
        .addMapped("院答辩教师3身份证号", (ExcelCell)new Object(this, "yjssfzh3", false, true, true, list))




















        
        .addMapped("院答辩教师3电话", new ExcelCell("yjslxfs3", false, true, true))
        .addMapped("站点答辩教师1", new ExcelCell("zjsxm", false, true, true))
        .addMapped("站点答辩教师1身份证号", (ExcelCell)new Object(this, "zjssfzh", false, true, true, list))






















        
        .addMapped("站点答辩教师1电话", new ExcelCell("zjslxfs", false, true, true))
        .addMapped("站点答辩教师2", new ExcelCell("zjsxm2", false, true, true))
        .addMapped("站点答辩教师2身份证号", (ExcelCell)new Object(this, "zjssfzh2", false, true, true, list))






















        
        .addMapped("站点答辩教师2电话", new ExcelCell("zjslxfs2", false, true, true))
        .addMapped("站点答辩教师3", new ExcelCell("zjsxm3", false, true, true))
        .addMapped("站点答辩教师3身份证号", (ExcelCell)new Object(this, "zjssfzh3", false, true, true, list))






















        
        .addMapped("站点答辩教师3电话", new ExcelCell("zjslxfs3", false, true, true));
    } 
    excelImport.formatExcel(part);
    excelImport.run();
    List<ExcellRow> rowlist = excelImport.getList();
    for (ExcellRow excellRow : rowlist) {
      String xq = ((ExcelCell)excellRow.getRow().get("答辩学期")).getFormatValue();
      if (xq.equals("0")) {
        xq = "春";
      } else if (xq.equals("1")) {
        xq = "秋";
      } 
      ((ExcelCell)excellRow.getRow().get("答辩学期")).setFormatValue(xq);
    } 
    return excelImport;
  }
  
  public void lwqktj(List<Map<String, Object>> list, HttpServletRequest request, HttpServletResponse response) {
    String url = String.valueOf(request.getSession().getServletContext().getRealPath("")) + File.separator + "Download" + 
      File.separator + "答辩情况统计表.xls";
    try {
      Exception exception2, exception1 = null;
    } catch (IOException e) {
      e.printStackTrace();
    } 
  }
  
  public List<Map<String, Object>> lwqktjData(String strs) {
    JSONObject jobj = JSONObject.fromObject(strs);
    StringBuffer sql = new StringBuffer();
    if (jobj.getString("bjid").equals("FF808081523E8B3901535E7721A80086"))
      System.out.println("123"); 
    sql.append(" select concat(@i:=@i+1) r,l.xh,l.xm,l.nj,l.bj,l.ktmc,");
    sql.append(" l.bh,l.dbxzh,zdjsxm,zdjszc,cj,dbnf,dbjj,zd");
    sql.append(" ,ccyyl zxsb,zifushu,cpcj,");
    sql.append("null dbzcj");
    sql.append(" from lw_xsmd l,(select @i:=0) r");
    sql.append(" where l.IsDel=0 and zt=2");
    if (!Strings.isNullOrEmpty(jobj.getString("bjid")))
      sql.append(" and bjid='" + jobj.getString("bjid") + "'"); 
    if (!Strings.isNullOrEmpty(jobj.getString("dbjj")))
      sql.append(" and dbjj='" + jobj.getString("dbjj") + "'"); 
    if (!Strings.isNullOrEmpty(jobj.getString("dbnf")))
      sql.append(" and dbnf='" + jobj.getString("dbnf") + "'"); 
    if (!Strings.isNullOrEmpty(jobj.getString("dbxzh"))) {
      sql.append(" and dbxzh='" + jobj.getString("dbxzh") + "'");
    } else {
      sql.append(" and dbxzh is Null");
    } 
    if (!Strings.isNullOrEmpty(jobj.getString("bh"))) {
      sql.append(" and bh='" + jobj.getString("bh") + "'");
    } else {
      sql.append(" and bh is Null");
    } 
    sql.append(" order by dbxzh+0, xh+0 ");
    return queryListMapBysql(sql);
  }
  
  public List<List<Map<String, Object>>> printslwqktjData(String strs) {
    List<List<Map<String, Object>>> returnData = new ArrayList<>();
    JSONArray params = JSONArray.fromObject(strs);
    for (int i = 0; i < params.size(); i++) {
      String param = params.getString(i);
      returnData.add(lwqktjData(param));
    } 
    return returnData;
  }
  
  public void downloadslwqktj(List<List<Map<String, Object>>> lists, HttpServletRequest request, HttpServletResponse response) {
    String url = String.valueOf(request.getSession().getServletContext().getRealPath("")) + File.separator + "Download" + 
      File.separator + "答辩情况统计表.xls";
    File lwqktFileDirectory = new File("d:" + File.separator + "lwqktjFileDirectory" + File.separator);
    if (!lwqktFileDirectory.exists()) {
      lwqktFileDirectory.mkdirs();
    } else {
      lwqktFileDirectory.delete();
      lwqktFileDirectory.mkdirs();
    } 
    String zipAddress = "d:" + File.separator + "lwqktjFileDirectory" + File.separator + "lwqktjzipFile.zip";
    File zipExist = new File(zipAddress);
    if (zipExist.exists())
      zipExist.delete(); 
    ZipCompressor zc = new ZipCompressor(zipAddress);
    try {
      Exception exception2, exception1 = null;
    } catch (IOException e) {
      e.printStackTrace();
    } 
  }
}
